apiVersion: apps/v1
kind: Deployment
metadata:
  name: "{{ include "chart.name" . }}-backend"
  labels:
    {{- include "chart.labels" . | nindent 4 }}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      {{- include "chart.backendSelectorLabels" . | nindent 6 }}
  template:
    metadata:
      labels:
        {{- include "chart.backendSelectorLabels" . | nindent 8 }}

    spec:
      containers:
        - name: {{ .Chart.Name }}
          image: "{{ .Values.backendImage.repository }}:{{ .Values.backendImage.tag | default .Chart.AppVersion }}"
          imagePullPolicy: {{ .Values.backendImage.pullPolicy }}
          ports:
            - name: http
              containerPort: {{ .Values.backendContainer.port }}
              protocol: TCP

          livenessProbe:
            httpGet:
              path: {{ .Values.backendHealthStatus.path }}
              port: {{ .Values.backendHealthStatus.port }}
            initialDelaySeconds: 60
            periodSeconds: 10
          readinessProbe:
            httpGet:
              path: {{ .Values.backendHealthStatus.path }}
              port: {{ .Values.backendHealthStatus.port }}
            initialDelaySeconds: 10
            periodSeconds: 10
          resources:
          {{- toYaml .Values.resources | nindent 12 }}
